#!/usr/bin/bash

test_dir="${1}"

if [ "x" == "x${test_dir}" ] || [ ! -d ${test_dir} ]; then
  echo "test case directory '${test_dir}' does not exist ..."
  exit 0
fi

chmod +x ${test_dir}/*
resultfile=$(mktemp '/tmp/tst_fdksystemXXXXXX')
for t in `ls ${test_dir}`
do
  echo "Running test '$t' ..."
  ${test_dir}/$t | tee -a ${resultfile}
done

suces=$(grep 'Test Case Sucess' ${resultfile} | wc -l)
fails=$(grep 'Test Case Failed' ${resultfile} | wc -l)
[ -f ${resultfile} ] && rm -f ${resultfile}

# Print results
echo ''
echo "${suces} tests passed, ${fails} tests failed!!!"

exit 0

